Run `node` and `io.js` installation test suites separately.
diff --git a/.travis.yml b/.travis.yml
index 510a86e..00f8d4a 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -30,13 +30,23 @@
   - SHELL=bash TEST_SUITE=sourcing
   - SHELL=zsh TEST_SUITE=sourcing
 #  - SHELL=ksh TEST_SUITE=sourcing
-  - SHELL=sh TEST_SUITE=installation
-#  - SHELL=sh TEST_SUITE=installation WITHOUT_CURL=1
-  - SHELL=dash TEST_SUITE=installation
-#  - SHELL=dash TEST_SUITE=installation WITHOUT_CURL=1
-  - SHELL=bash TEST_SUITE=installation
-#  - SHELL=bash TEST_SUITE=installation WITHOUT_CURL=1
-  - SHELL=zsh TEST_SUITE=installation
-#  - SHELL=zsh TEST_SUITE=installation WITHOUT_CURL=1
-#  - SHELL=ksh TEST_SUITE=installation
-#  - SHELL=ksh TEST_SUITE=installation WITHOUT_CURL=1
+  - SHELL=sh TEST_SUITE=installation_node
+#  - SHELL=sh TEST_SUITE=installation_node WITHOUT_CURL=1
+  - SHELL=dash TEST_SUITE=installation_node
+#  - SHELL=dash TEST_SUITE=installation_node WITHOUT_CURL=1
+  - SHELL=bash TEST_SUITE=installation_node
+#  - SHELL=bash TEST_SUITE=installation_node WITHOUT_CURL=1
+  - SHELL=zsh TEST_SUITE=installation_node
+#  - SHELL=zsh TEST_SUITE=installation_node WITHOUT_CURL=1
+#  - SHELL=ksh TEST_SUITE=installation_node
+#  - SHELL=ksh TEST_SUITE=installation_node WITHOUT_CURL=1
+  - SHELL=sh TEST_SUITE=installation_iojs
+#  - SHELL=sh TEST_SUITE=installation_iojs WITHOUT_CURL=1
+  - SHELL=dash TEST_SUITE=installation_iojs
+#  - SHELL=dash TEST_SUITE=installation_iojs WITHOUT_CURL=1
+  - SHELL=bash TEST_SUITE=installation_iojs
+#  - SHELL=bash TEST_SUITE=installation_iojs WITHOUT_CURL=1
+  - SHELL=zsh TEST_SUITE=installation_iojs
+#  - SHELL=zsh TEST_SUITE=installation_iojs WITHOUT_CURL=1
+#  - SHELL=ksh TEST_SUITE=installation_iojs
+#  - SHELL=ksh TEST_SUITE=installation_iojs WITHOUT_CURL=1
diff --git a/package.json b/package.json
index 4a6052b..89995f2 100644
--- a/package.json
+++ b/package.json
@@ -10,7 +10,9 @@
     "test/fast": "shell=$(basename -- $(ps -o comm= $(ps -o ppid= -p $PPID)) | sed 's/^-//'); make TEST_SUITE=fast test-$shell",
     "test/slow": "shell=$(basename -- $(ps -o comm= $(ps -o ppid= -p $PPID)) | sed 's/^-//'); make TEST_SUITE=slow test-$shell",
     "test/install_script": "shell=$(basename -- $(ps -o comm= $(ps -o ppid= -p $PPID)) | sed 's/^-//'); make TEST_SUITE=install_script test-$shell",
-    "test/installation": "shell=$(basename -- $(ps -o comm= $(ps -o ppid= -p $PPID)) | sed 's/^-//'); make TEST_SUITE=installation test-$shell",
+    "test/installation": "npm run --silent test/installation/node && npm run --silent test/installation/iojs",
+    "test/installation/node": "shell=$(basename -- $(ps -o comm= $(ps -o ppid= -p $PPID)) | sed 's/^-//'); make TEST_SUITE=installation_node test-$shell",
+    "test/installation/iojs": "shell=$(basename -- $(ps -o comm= $(ps -o ppid= -p $PPID)) | sed 's/^-//'); make TEST_SUITE=installation_iojs test-$shell",
     "test/sourcing": "shell=$(basename -- $(ps -o comm= $(ps -o ppid= -p $PPID)) | sed 's/^-//'); make TEST_SUITE=sourcing test-$shell"
   },
   "repository": {
diff --git a/test/installation/io.js/install already installed uses it b/test/installation_iojs/install already installed uses it
similarity index 97%
rename from test/installation/io.js/install already installed uses it
rename to test/installation_iojs/install already installed uses it
index 07e5487..7065e78 100755
--- a/test/installation/io.js/install already installed uses it
+++ b/test/installation_iojs/install already installed uses it
@@ -2,7 +2,7 @@
 
 die () { echo $@ ; exit 1; }
 
-. ../../../nvm.sh
+. ../../nvm.sh
 
 [ "$(nvm install invalid.invalid 2>&1)" = "Version 'invalid.invalid' not found - try \`nvm ls-remote\` to browse available versions." ] || die "nvm installing an invalid version did not print a nice error message"
 
diff --git a/test/installation/io.js/install from binary b/test/installation_iojs/install from binary
similarity index 96%
rename from test/installation/io.js/install from binary
rename to test/installation_iojs/install from binary
index 12cf963..93c65cd 100755
--- a/test/installation/io.js/install from binary
+++ b/test/installation_iojs/install from binary
@@ -2,7 +2,7 @@
 
 die () { echo $@ ; exit 1; }
 
-. ../../../nvm.sh
+. ../../nvm.sh
 
 NVM_TEST_VERSION="v1.0.0"
 NVM_PREFIXED_TEST_VERSION="iojs-$NVM_TEST_VERSION"
diff --git a/test/installation/io.js/install two versions and use the latest one b/test/installation_iojs/install two versions and use the latest one
similarity index 64%
rename from test/installation/io.js/install two versions and use the latest one
rename to test/installation_iojs/install two versions and use the latest one
index 7b60d74..69c5869 100755
--- a/test/installation/io.js/install two versions and use the latest one
+++ b/test/installation_iojs/install two versions and use the latest one
@@ -2,19 +2,19 @@
 
 die () { echo $@ ; exit 1; }
 
-. ../../../nvm.sh
+. ../../nvm.sh
 
 # Remove the stuff we're clobbering.
-[ -e ../../../versions/io.js/v1.0.0 ] && rm -R ../../../versions/io.js/v1.0.0
-[ -e ../../../versions/io.js/v1.0.1 ] && rm -R ../../../versions/io.js/v1.0.1
+[ -e ../../versions/io.js/v1.0.0 ] && rm -R ../../versions/io.js/v1.0.0
+[ -e ../../versions/io.js/v1.0.1 ] && rm -R ../../versions/io.js/v1.0.1
 
 # Install from binary
 nvm install iojs-v1.0.0 || die "'nvm install iojs-v1.0.0' failed"
 nvm i iojs-v1.0.1 || die "'nvm i iojs-v1.0.1' failed"
 
 # Check
-[ -d ../../../versions/io.js/v1.0.0 ] || die "iojs v1.0.0 didn't exist"
-[ -d ../../../versions/io.js/v1.0.1 ] || die "iojs v1.0.1 didn't exist"
+[ -d ../../versions/io.js/v1.0.0 ] || die "iojs v1.0.0 didn't exist"
+[ -d ../../versions/io.js/v1.0.1 ] || die "iojs v1.0.1 didn't exist"
 
 # Use the first one
 nvm use iojs-1.0.0 || die "'nvm use iojs-1.0.0' failed"
diff --git a/test/installation/io.js/install version specified in .nvmrc from binary b/test/installation_iojs/install version specified in .nvmrc from binary
similarity index 87%
rename from test/installation/io.js/install version specified in .nvmrc from binary
rename to test/installation_iojs/install version specified in .nvmrc from binary
index dfab909..82dc5f6 100755
--- a/test/installation/io.js/install version specified in .nvmrc from binary
+++ b/test/installation_iojs/install version specified in .nvmrc from binary
@@ -2,11 +2,11 @@
 
 die () { echo $@ ; exit 1; }
 
-. ../../../nvm.sh
+. ../../nvm.sh
 
 NVM_TEST_VERSION=v1.0.0
 NVM_PREFIXED_TEST_VERSION="iojs-$NVM_TEST_VERSION"
-VERSION_PATH="../../../versions/io.js/$NVM_TEST_VERSION"
+VERSION_PATH="../../versions/io.js/$NVM_TEST_VERSION"
 
 # Remove the stuff we're clobbering.
 [ -e $VERSION_PATH ] && rm -R $VERSION_PATH
diff --git a/test/installation/io.js/install while reinstalling packages b/test/installation_iojs/install while reinstalling packages
similarity index 69%
rename from test/installation/io.js/install while reinstalling packages
rename to test/installation_iojs/install while reinstalling packages
index ebbb64a..6b17997 100755
--- a/test/installation/io.js/install while reinstalling packages
+++ b/test/installation_iojs/install while reinstalling packages
@@ -2,17 +2,17 @@
 
 die () { echo $@ ; exit 1; }
 
-. ../../../nvm.sh
+. ../../nvm.sh
 
 # Remove the stuff we're clobbering.
-[ -e ../../../versions/io.js/v1.0.0 ] && rm -R ../../../versions/io.js/v1.0.0
-[ -e ../../../versions/io.js/v1.0.1 ] && rm -R ../../../versions/io.js/v1.0.1
+[ -e ../../versions/io.js/v1.0.0 ] && rm -R ../../versions/io.js/v1.0.0
+[ -e ../../versions/io.js/v1.0.1 ] && rm -R ../../versions/io.js/v1.0.1
 
 # Install from binary
 nvm install iojs-v1.0.0
 
 # Check
-[ -d ../../../versions/io.js/v1.0.0 ] || die "nvm install iojs-v1.0.0 didn't install"
+[ -d ../../versions/io.js/v1.0.0 ] || die "nvm install iojs-v1.0.0 didn't install"
 
 node --version | grep v1.0.0 > /dev/null || die "nvm install didn't use iojs-v1.0.0"
 
@@ -23,7 +23,7 @@
 
 nvm install iojs-v1.0.1 --reinstall-packages-from=iojs-1.0.0 || die "nvm install iojs-v1.0.1 --reinstall-packages-from=iojs-1.0.0 failed"
 
-[ -d ../../../versions/io.js/v1.0.1 ] || die "nvm install iojs-v1.0.1 didn't install"
+[ -d ../../versions/io.js/v1.0.1 ] || die "nvm install iojs-v1.0.1 didn't install"
 
 nvm use iojs-1
 node --version | grep v1.0.1 > /dev/null || die "nvm use iojs-1 didn't use v1.0.1"
diff --git a/test/installation/io.js/nvm install v1 works b/test/installation_iojs/nvm install v1 works
similarity index 79%
rename from test/installation/io.js/nvm install v1 works
rename to test/installation_iojs/nvm install v1 works
index b54d1f0..2bc83f0 100755
--- a/test/installation/io.js/nvm install v1 works
+++ b/test/installation_iojs/nvm install v1 works
@@ -2,19 +2,19 @@
 
 die () { echo $@ ; exit 1; }
 
-. ../../../nvm.sh
+. ../../nvm.sh
 
 NVM_VERSION="v1"
 NVM_PREFIXED_TEST_VERSION="$(nvm ls-remote "$NVM_VERSION" | tail -n1 | sed 's/^[    ]*//;s/[        ]*$//')"
 NVM_TEST_VERSION="$(nvm_strip_iojs_prefix "$NVM_PREFIXED_TEST_VERSION")"
 
 # Remove the stuff we're clobbering.
-[ -e ../../../$NVM_TEST_VERSION ] && rm -R ../../../$NVM_TEST_VERSION
+[ -e ../../$NVM_TEST_VERSION ] && rm -R ../../$NVM_TEST_VERSION
 
 # Install from binary
 nvm install "$NVM_VERSION" || die "nvm install $NVM_VERSION failed"
 
 # Check
-[ -d ../../../versions/io.js/$NVM_TEST_VERSION ]
+[ -d ../../versions/io.js/$NVM_TEST_VERSION ]
 nvm run $NVM_PREFIXED_TEST_VERSION --version | grep $NVM_TEST_VERSION || die "'nvm run $NVM_PREFIXED_TEST_VERSION --version | grep $NVM_TEST_VERSION' failed"
 
diff --git a/test/installation/io.js/setup_dir b/test/installation_iojs/setup_dir
similarity index 100%
rename from test/installation/io.js/setup_dir
rename to test/installation_iojs/setup_dir
diff --git a/test/installation/io.js/teardown_dir b/test/installation_iojs/teardown_dir
similarity index 89%
rename from test/installation/io.js/teardown_dir
rename to test/installation_iojs/teardown_dir
index a7e6f3e..9f6d025 100755
--- a/test/installation/io.js/teardown_dir
+++ b/test/installation_iojs/teardown_dir
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-. ../../../nvm.sh
+. ../../nvm.sh
 nvm deactivate
 nvm uninstall iojs-v1.0.0
 
diff --git a/test/installation/node/install already installed uses it b/test/installation_node/install already installed uses it
similarity index 83%
rename from test/installation/node/install already installed uses it
rename to test/installation_node/install already installed uses it
index ffcbb02..8a7dd9a 100755
--- a/test/installation/node/install already installed uses it
+++ b/test/installation_node/install already installed uses it
@@ -2,13 +2,13 @@
 
 die () { echo $@ ; exit 1; }
 
-. ../../../nvm.sh
+. ../../nvm.sh
 
 [ "$(nvm install invalid.invalid 2>&1)" = "Version 'invalid.invalid' not found - try \`nvm ls-remote\` to browse available versions." ] || die "nvm installing an invalid version did not print a nice error message"
 
 # Remove the stuff we're clobbering.
-[ -e ../../../v0.9.7 ] && rm -R ../../../v0.9.7
-[ -e ../../../v0.9.12 ] && rm -R ../../../v0.9.12
+[ -e ../../v0.9.7 ] && rm -R ../../v0.9.7
+[ -e ../../v0.9.12 ] && rm -R ../../v0.9.12
 
 # Install from binary
 nvm install 0.9.7
diff --git a/test/installation/node/install from binary b/test/installation_node/install from binary
similarity index 82%
rename from test/installation/node/install from binary
rename to test/installation_node/install from binary
index 8b9ac48..114205d 100755
--- a/test/installation/node/install from binary
+++ b/test/installation_node/install from binary
@@ -2,20 +2,20 @@
 
 die () { echo $@ ; exit 1; }
 
-. ../../../nvm.sh
+. ../../nvm.sh
 
 nvm unalias default || die 'unable to unalias default'
 
 NVM_TEST_VERSION=v0.10.7
 
 # Remove the stuff we're clobbering.
-[ -e ../../../$NVM_TEST_VERSION ] && rm -R ../../../$NVM_TEST_VERSION
+[ -e ../../$NVM_TEST_VERSION ] && rm -R ../../$NVM_TEST_VERSION
 
 # Install from binary
 nvm install $NVM_TEST_VERSION || die "install $NVM_TEST_VERSION failed"
 
 # Check
-[ -d ../../../$NVM_TEST_VERSION ]
+[ -d ../../$NVM_TEST_VERSION ]
 nvm run $NVM_TEST_VERSION --version | grep $NVM_TEST_VERSION || die "'nvm run $NVM_TEST_VERSION --version | grep $NVM_TEST_VERSION' failed"
 
 # ensure default is set
diff --git a/test/installation/node/install from source b/test/installation_node/install from source
similarity index 82%
rename from test/installation/node/install from source
rename to test/installation_node/install from source
index 150aa87..eccdbba 100755
--- a/test/installation/node/install from source
+++ b/test/installation_node/install from source
@@ -2,20 +2,20 @@
 
 die () { echo $@ ; exit 1; }
 
-. ../../../nvm.sh
+. ../../nvm.sh
 
 nvm unalias default || die 'unable to unalias default'
 
 NVM_TEST_VERSION=v0.10.7
 
 # Remove the stuff we're clobbering.
-[ -e ../../../$NVM_TEST_VERSION ] && rm -R ../../../$NVM_TEST_VERSION
+[ -e ../../$NVM_TEST_VERSION ] && rm -R ../../$NVM_TEST_VERSION
 
 # Install from source
 nvm install -s $NVM_TEST_VERSION || die "'nvm install -s $NVM_TEST_VERSION' failed"
 
 # Check
-[ -d ../../../$NVM_TEST_VERSION ]
+[ -d ../../$NVM_TEST_VERSION ]
 nvm run $NVM_TEST_VERSION --version | grep $NVM_TEST_VERSION || "'nvm run $NVM_TEST_VERSION --version | grep $NVM_TEST_VERSION' failed"
 
 # ensure default is set
diff --git a/test/installation/node/install from source implicitly b/test/installation_node/install from source implicitly
similarity index 76%
rename from test/installation/node/install from source implicitly
rename to test/installation_node/install from source implicitly
index 924c1f8..f5763f4 100755
--- a/test/installation/node/install from source implicitly
+++ b/test/installation_node/install from source implicitly
@@ -2,17 +2,17 @@
 
 die () { echo $@ ; exit 1; }
 
-. ../../../nvm.sh
+. ../../nvm.sh
 
 NVM_TEST_VERSION=v0.8.5
 
 # Remove the stuff we're clobbering.
-[ -e ../../../$NVM_TEST_VERSION ] && rm -R ../../../$NVM_TEST_VERSION
+[ -e ../../$NVM_TEST_VERSION ] && rm -R ../../$NVM_TEST_VERSION
 
 # Install from source implicitly (v0.8.6 is when binaries started)
 nvm install $NVM_TEST_VERSION || die "'nvm install -s $NVM_TEST_VERSION' failed"
 
 # Check
-[ -d ../../../$NVM_TEST_VERSION ]
+[ -d ../../$NVM_TEST_VERSION ]
 nvm run $NVM_TEST_VERSION --version | grep $NVM_TEST_VERSION || "'nvm run $NVM_TEST_VERSION --version | grep $NVM_TEST_VERSION' failed"
 
diff --git a/test/installation/node/install from source with thread parameter b/test/installation_node/install from source with thread parameter
similarity index 76%
rename from test/installation/node/install from source with thread parameter
rename to test/installation_node/install from source with thread parameter
index 84af8ad..4de8942 100755
--- a/test/installation/node/install from source with thread parameter
+++ b/test/installation_node/install from source with thread parameter
@@ -2,20 +2,20 @@
 
 die () { echo $@ ; exit 1; }
 
-. ../../../nvm.sh
+. ../../nvm.sh
 
 NVM_TEST_VERSION=v0.10.41
 
 # STAGE 1 #
 
 # Remove the stuff we're clobbering.
-[ -e ../../../$NVM_TEST_VERSION ] && rm -R ../../../$NVM_TEST_VERSION
+[ -e ../../$NVM_TEST_VERSION ] && rm -R ../../$NVM_TEST_VERSION
 
 # Install from source with 1 make job
 nvm install -s -j 1 $NVM_TEST_VERSION || die "'nvm install -s $NVM_TEST_VERSION' failed"
 
 # Check
-[ -d ../../../$NVM_TEST_VERSION ]
+[ -d ../../$NVM_TEST_VERSION ]
 nvm run $NVM_TEST_VERSION --version | grep $NVM_TEST_VERSION || "'nvm run $NVM_TEST_VERSION --version | grep $NVM_TEST_VERSION' failed"
 
 
@@ -23,11 +23,11 @@
 # STAGE 2 #
 
 # Remove the stuff we're clobbering.
-[ -e ../../../$NVM_TEST_VERSION ] && rm -R ../../../$NVM_TEST_VERSION
+[ -e ../../$NVM_TEST_VERSION ] && rm -R ../../$NVM_TEST_VERSION
 
 # Install from source with 2 make jobs (and swapped arg order)
 nvm install -j 2 -s $NVM_TEST_VERSION || die "'nvm install -s $NVM_TEST_VERSION' failed"
 
 # Check
-[ -d ../../../$NVM_TEST_VERSION ]
+[ -d ../../$NVM_TEST_VERSION ]
 nvm run $NVM_TEST_VERSION --version | grep $NVM_TEST_VERSION || "'nvm run $NVM_TEST_VERSION --version | grep $NVM_TEST_VERSION' failed"
diff --git a/test/installation/node/install from source without V8 snapshot for ARM b/test/installation_node/install from source without V8 snapshot for ARM
similarity index 84%
rename from test/installation/node/install from source without V8 snapshot for ARM
rename to test/installation_node/install from source without V8 snapshot for ARM
index 3755d71..3c2eeaf 100755
--- a/test/installation/node/install from source without V8 snapshot for ARM
+++ b/test/installation_node/install from source without V8 snapshot for ARM
@@ -2,12 +2,12 @@
 
 die () { echo $@ ; exit 1; }
 
-. ../../../nvm.sh
+. ../../nvm.sh
 
 NVM_TEST_VERSION=v0.10.7
 
 # Remove the stuff we're clobbering.
-[ -e ../../../$NVM_TEST_VERSION ] && rm -R ../../../$NVM_TEST_VERSION
+[ -e ../../$NVM_TEST_VERSION ] && rm -R ../../$NVM_TEST_VERSION
 
 # Fake ARM arch
 nvm_get_arch() {
@@ -18,7 +18,7 @@
 nvm install -s $NVM_TEST_VERSION || die "'nvm install -s $NVM_TEST_VERSION' failed"
 
 # Check Install
-[ -d ../../../$NVM_TEST_VERSION ]
+[ -d ../../$NVM_TEST_VERSION ]
 node --version | grep $NVM_TEST_VERSION || "'node --version | grep $NVM_TEST_VERSION' failed"
 
 # Check V8 snapshot isn't compiled
diff --git a/test/installation/node/install two versions and use the latest one b/test/installation_node/install two versions and use the latest one
similarity index 66%
rename from test/installation/node/install two versions and use the latest one
rename to test/installation_node/install two versions and use the latest one
index 1fedace..77dc9e4 100755
--- a/test/installation/node/install two versions and use the latest one
+++ b/test/installation_node/install two versions and use the latest one
@@ -2,19 +2,19 @@
 
 die () { echo $@ ; exit 1; }
 
-. ../../../nvm.sh
+. ../../nvm.sh
 
 # Remove the stuff we're clobbering.
-[ -e ../../../v0.9.7 ] && rm -R ../../../v0.9.7
-[ -e ../../../v0.9.12 ] && rm -R ../../../v0.9.12
+[ -e ../../v0.9.7 ] && rm -R ../../v0.9.7
+[ -e ../../v0.9.12 ] && rm -R ../../v0.9.12
 
 # Install from binary
 nvm install 0.9.7 || die "'nvm install 0.9.7' failed"
 nvm i 0.9.12 || die "'nvm i 0.9.12' failed"
 
 # Check
-[ -d ../../../v0.9.7 ] || die "v0.9.7 didn't exist"
-[ -d ../../../v0.9.12 ] || die "v0.9.12 didn't exist"
+[ -d ../../v0.9.7 ] || die "v0.9.7 didn't exist"
+[ -d ../../v0.9.12 ] || die "v0.9.12 didn't exist"
 
 # Use the first one
 nvm use 0.9.7 || die "'nvm use 0.9.7' failed"
diff --git a/test/installation/node/install version specified in .nvmrc from binary b/test/installation_node/install version specified in .nvmrc from binary
similarity index 68%
rename from test/installation/node/install version specified in .nvmrc from binary
rename to test/installation_node/install version specified in .nvmrc from binary
index 859a199..ad5f296 100755
--- a/test/installation/node/install version specified in .nvmrc from binary
+++ b/test/installation_node/install version specified in .nvmrc from binary
@@ -2,12 +2,12 @@
 
 die () { echo $@ ; exit 1; }
 
-. ../../../nvm.sh
+. ../../nvm.sh
 
 NVM_TEST_VERSION=v0.10.7
 
 # Remove the stuff we're clobbering.
-[ -e ../../../$NVM_TEST_VERSION ] && rm -R ../../../$NVM_TEST_VERSION
+[ -e ../../$NVM_TEST_VERSION ] && rm -R ../../$NVM_TEST_VERSION
 
 # Install from binary
 echo "$NVM_TEST_VERSION" > .nvmrc
@@ -15,7 +15,7 @@
 nvm install || die "'nvm install' failed"
 
 # Check
-[ -d ../../../$NVM_TEST_VERSION ] || die "./$NVM_TEST_VERSION did not exist"
+[ -d ../../$NVM_TEST_VERSION ] || die "./$NVM_TEST_VERSION did not exist"
 nvm run $NVM_TEST_VERSION --version | grep $NVM_TEST_VERSION \
   || "'nvm run $NVM_TEST_VERSION --version | grep $NVM_TEST_VERSION' failed"
 
diff --git a/test/installation/node/install version specified in .nvmrc from source b/test/installation_node/install version specified in .nvmrc from source
similarity index 68%
rename from test/installation/node/install version specified in .nvmrc from source
rename to test/installation_node/install version specified in .nvmrc from source
index 6952645..63ea0ea 100755
--- a/test/installation/node/install version specified in .nvmrc from source
+++ b/test/installation_node/install version specified in .nvmrc from source
@@ -2,12 +2,12 @@
 
 die () { echo $@ ; exit 1; }
 
-. ../../../nvm.sh
+. ../../nvm.sh
 
 NVM_TEST_VERSION=v0.10.7
 
 # Remove the stuff we're clobbering.
-[ -e ../../../$NVM_TEST_VERSION ] && rm -R ../../../$NVM_TEST_VERSION
+[ -e ../../$NVM_TEST_VERSION ] && rm -R ../../$NVM_TEST_VERSION
 
 # Install from binary
 echo "$NVM_TEST_VERSION" > .nvmrc
@@ -15,7 +15,7 @@
 nvm install -s || "'nvm install -s' failed"
 
 # Check
-[ -d ../../../$NVM_TEST_VERSION ] || die "$NVM_TEST_VERSION did not exist"
+[ -d ../../$NVM_TEST_VERSION ] || die "$NVM_TEST_VERSION did not exist"
 nvm run $NVM_TEST_VERSION --version | grep $NVM_TEST_VERSION \
   || die "'nvm run $NVM_TEST_VERSION --version | grep $NVM_TEST_VERSION' failed"
 
diff --git a/test/installation/node/install while reinstalling packages b/test/installation_node/install while reinstalling packages
similarity index 74%
rename from test/installation/node/install while reinstalling packages
rename to test/installation_node/install while reinstalling packages
index c170a10..3eb0a2c 100755
--- a/test/installation/node/install while reinstalling packages
+++ b/test/installation_node/install while reinstalling packages
@@ -2,17 +2,17 @@
 
 die () { echo $@ ; exit 1; }
 
-. ../../../nvm.sh
+. ../../nvm.sh
 
 # Remove the stuff we're clobbering.
-[ -e ../../../v0.9.7 ] && rm -R ../../../v0.9.7
-[ -e ../../../v0.9.12 ] && rm -R ../../../v0.9.12
+[ -e ../../v0.9.7 ] && rm -R ../../v0.9.7
+[ -e ../../v0.9.12 ] && rm -R ../../v0.9.12
 
 # Install from binary
 nvm install 0.9.7
 
 # Check
-[ -d ../../../v0.9.7 ] || die "nvm install 0.9.7 didn't install"
+[ -d ../../v0.9.7 ] || die "nvm install 0.9.7 didn't install"
 
 nvm use 0.9.7
 
@@ -25,7 +25,7 @@
 
 nvm install 0.9.12 --reinstall-packages-from=0.9 || die "nvm install 0.9.12 --reinstall-packages-from=0.9 failed"
 
-[ -d ../../../v0.9.12 ] || die "nvm install 0.9.12 didn't install"
+[ -d ../../v0.9.12 ] || die "nvm install 0.9.12 didn't install"
 
 nvm use 0.9
 node --version | grep v0.9.12 > /dev/null || die "nvm ls 0.9 didn't use v0.9.12"
diff --git a/test/installation/node/setup_dir b/test/installation_node/setup_dir
similarity index 100%
rename from test/installation/node/setup_dir
rename to test/installation_node/setup_dir
diff --git a/test/installation/node/teardown_dir b/test/installation_node/teardown_dir
similarity index 88%
rename from test/installation/node/teardown_dir
rename to test/installation_node/teardown_dir
index 8285de3..941ca99 100755
--- a/test/installation/node/teardown_dir
+++ b/test/installation_node/teardown_dir
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-. ../../../nvm.sh
+. ../../nvm.sh
 nvm deactivate
 nvm uninstall v0.10.7